// GIB TEXTURES

textures/gib/glass
{
	qer_editorimage textures/gib/glass.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm lightfilter
	surfaceparm nolightmap
	cull both

  if ! deluxe
	{
		map textures/gib/glass.tga
		//alphaGen constant 0.1
		blendFunc add
	}
	endif

	if deluxe
	{
	  material textures/gib/glass.tga textures/gib/glass_norm.tga textures/gib/glass_gloss.tga
		//alphaGen constant 0.1
		blendFunc blend
	}
  endif
}

textures/gib/diffused_lamp
{
	q3map_lightimage textures/gib/diffused_lamp_accurate_lighting.jpg
	qer_editorimage textures/gib/diffused_lamp.tga
	q3map_surfaceLight 1024
	tessSize 32

	if deluxe
		{
			material textures/gib/diffused_lamp.tga textures/gib/diffused_lamp_norm.tga textures/gib/diffused_lamp_gloss.tga
		}
	endif

	if ! deluxe
		{
			map textures/gib/diffused_lamp.tga
			//blendFunc filter
		}
	endif
}

textures/gib/diffused_spotlight
{
	qer_editorimage textures/gib/diffused_spotlight.tga
	q3map_surfaceLight 2048

	if ! deluxe
	{
		map textures/gib/diffused_spotlight.tga
	}
	endif
	if deluxe
	{
		material textures/gib/diffused_spotlight.tga textures/gib/diffused_spotlight_norm.tga textures/gib/diffused_spotlight_gloss.tga
	}
	endif
}

textures/gib/terminal
{
	q3map_lightimage   textures/gib/terminal.tga
	q3map_surfaceLight 16
	{
		animMap 1.6 textures/gib/terminal.tga textures/gib/terminal_cursorless.tga
	}
}

textures/gib/stone
{
	qer_editorimage textures/gib/stone.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/gib/stone.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/gib/stone.tga textures/gib/stone_norm.tga
	}
endif
}

textures/gib/keyboard
{
	qer_editorimage textures/gib/keyboard.tga

	if ! deluxe
	{
		map textures/gib/keyboard.tga
	}
	endif

	if deluxe
	{
		material textures/gib/keyboard.tga textures/gib/keyboard_norm.tga textures/gib/keyboard_gloss.tga
	}
	endif
}


// BASEWSW TEXTURES

textures/bb3/world/bluewater1
{
	qer_editorimage textures/bb3/world/sh/water2.tga
	q3map_globaltexture
	q3map_surfacelight 10
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	sort underwater

	//tesssize 64
	//deformVertexes wave 64 sin 1 1 0.25 0.6
	{
		map textures/bb3/world/sh/water2.tga
		blendFunc GL_dst_color GL_one
		tcmod scale .25 .25
		tcmod scroll .02 .01
	}
	{
		map textures/bb3/world/sh/water1.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.25 -.25
		tcmod scroll .02 .02
	}
	{
		map textures/bb3/world/sh/pooltint.tga
		blendFunc filter
		tcmod scale .5 .5
		tcmod scroll .02 .01
	}
}

// BB3 TEXTURES

textures/bb3/clipzor
{
	qer_trans 0.40
	qer_editorimage textures/bb3/editor/magicclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	//surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/bb3/dux_yellow
{
	deformVertexes move 0 0 1 sin -0.25 1 0 0.25
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map $whiteimage
		rgbgen const 0.8 0.8 0.0
		blendfunc filter
	}
}

textures/bb3/dux_red
{
	deformVertexes move 0 0 1 sin -0.25 1 0 0.25
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map $whiteimage
		rgbgen const 0.9 0.2 0.0
		blendfunc filter
	}
}

textures/bb3/stone001
{
	qer_editorimage textures/bb3/stone001.jpg
if deluxe
	{
		material textures/bb3/stone001.jpg textures/bb3/stone001_norm.jpg
	}
endif

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/stone001.jpg
		blendFunc filter
	}
endif
}

textures/bb3/glass
{
	qer_editorimage textures/bb3/glass.tga
	surfaceparm trans
	cull disable
	nopicmip
	qer_trans 0.5
	{
		map textures/bb3/glass.tga
		blendfunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bb3/chrome1.tga
		blendfunc blend
		tcGen environment
		alphaGen constant 0.2
	}
}

textures/bb3/cha0s_ws/cement_1_clean
{
	qer_editorimage textures/bb3/cha0s_ws/cement_1_clean.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/cha0s_ws/cement_1_clean.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/cha0s_ws/cement_1_clean.tga textures/bb3/cha0s_ws/cement_1_stripes_norm.tga textures/bb3/cha0s_ws/cement_1_clean_gloss.tga
	}
endif
}

textures/bb3/cha0s_ws/cement_3
{
	qer_editorimage textures/bb3/cha0s_ws/cement_3.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/cha0s_ws/cement_3.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/cha0s_ws/cement_3.tga textures/bb3/cha0s_ws/cement_3_stripes_norm.jpg textures/bb3/cha0s_ws/cement_3_gloss.tga
	}
endif
}

textures/bb3/cha0s_ws/base_wall
{
	qer_editorimage textures/bb3/cha0s_ws/base_wall.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/cha0s_ws/base_wall.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/cha0s_ws/base_wall.tga textures/bb3/cha0s_ws/base_wall_norm.jpg
	}
endif
}

textures/bb3/cha0s_ws/blocks_1_top_lip
{
	qer_editorimage textures/bb3/cha0s_ws/blocks_1_top_lip.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/cha0s_ws/blocks_1_top_lip.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/cha0s_ws/blocks_1_top_lip.tga textures/bb3/cha0s_ws/blocks_1_top_lip_norm.jpg
	}
endif
}

textures/bb3/cha0s_ws/concrete-4
{
	qer_editorimage textures/bb3/facility/concrete4.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/facility/concrete4.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/facility/concrete4.tga textures/bb3/facility/concrete4_norm.tga
		tcmod scale .5 .5
	}
endif
}

textures/bb3/cha0s_ws/cement-tiled
{
	qer_editorimage textures/bb3/cha0s_ws/cement-tiled.tga

if deluxe
	{
		material textures/bb3/cha0s_ws/cement-tiled.tga textures/bb3/cha0s_ws/cement-tiled_norm.tga textures/bb3/cha0s_ws/cement-tiled_gloss.tga
	}
endif

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/cha0s_ws/cement-tiled.tga
		blendFunc filter
	}
endif
}

textures/bb3/ecel/ecel_des02mtl
{
	qer_editorimage textures/bb3/ecel/ecel_des02mtl.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/ecel/ecel_des02mtl.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/ecel/ecel_des02mtl.tga textures/bb3/ecel/ecel_des02_norm.tga textures/bb3/ecel/ecel_des02_gloss.tga
	}
endif
}

textures/bb3/ecel/ecel_des03mtl
{
	qer_editorimage textures/bb3/ecel/ecel_des03mtl.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/ecel/ecel_des03mtl.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/ecel/ecel_des03mtl.tga textures/bb3/ecel/ecel_des03_norm.tga textures/bb3/ecel/ecel_des03_gloss.tga
	}
endif
}

textures/bb3/ecel/ecel_met03
{
	qer_editorimage textures/bb3/ecel/ecel_met03.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/ecel/ecel_met03.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/ecel/ecel_met03.tga
	}
endif
}

textures/bb3/ecel/ecel_cretefloor02_spwnmtl
{
	qer_editorimage textures/bb3/ecel/ecel_cretefloor02_spwnmtl.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/ecel/ecel_cretefloor02_spwnmtl.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/ecel/ecel_cretefloor02_spwnmtl.tga textures/bb3/ecel/ecel_cretefloor02_spwn_norm.tga textures/bb3/ecel/ecel_cretefloor02_spwn_gloss.tga
	}
endif
}

textures/bb3/ecel/ecel_fgrate01mtl
{
	qer_editorimage textures/bb3/ecel/ecel_fgrate01mtl.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/ecel/ecel_fgrate01mtl.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/ecel/ecel_fgrate01mtl.tga textures/bb3/ecel/ecel_fgrate01_norm.tga textures/bb3/ecel/ecel_fgrate01_gloss.tga
	}
endif
}

textures/bb3/ecel/ecel_gratefiller
{
	qer_editorimage textures/bb3/ecel/ecel_gratefiller.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/ecel/ecel_gratefiller.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/ecel/ecel_gratefiller.tga textures/bb3/ecel/ecel_gratefiller_norm.tga textures/bb3/ecel/ecel_gratefiller_gloss.tga
	}
endif
}

textures/bb3/ecel/ecel_beem01mtl
{
	qer_editorimage textures/bb3/ecel/ecel_beem01mtl.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/ecel/ecel_beem01mtl.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/ecel/ecel_beem01mtl.tga textures/bb3/ecel/ecel_beem01_norm.tga textures/bb3/ecel/ecel_beem01_gloss.tga
	}
endif
}

textures/bb3/blx/blx_ecel_bounce
{
	q3map_lightimage textures/bb3/blx/blx_ecel_bounce_blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	nopicmip

	{
		map textures/bb3/blx_tech2/tech2_base_mid.tga
		//rgbgen const 0.1 0.1 0.1
	}
	{
		material textures/bb3/blx/blx_ecel_bounce.tga textures/bb3/blx/blx_ecel_bounce_norm.tga
		blendfunc blend
		rgbgen identity
	}
	{
		clampmap textures/bb3/blx/blx_ecel_bounce_blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/bb3/blx/blx_ecel_bounce_small.jpg
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5
		tcMod stretch sin 1.2 0.8 0 1.5
	}
}

textures/bb3/blx_tech2/tech2_base_mid_purple
{
	qer_editorimage textures/bb3/blx_tech2/tech2_base_mid_purple.tga

if deluxe
	{
		material textures/bb3/blx_tech2/tech2_base_mid_purple.tga textures/bb3/blx_tech2/tech2_base_mid_purple_norm.tga textures/bb3/blx_tech2/tech2_base_mid_purple_gloss.tga
	}
endif

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/blx_tech2/tech2_base_mid_purple.tga
		blendFunc filter
	}
endif
}

textures/bb3/ecel/ecel_bolttrimmtl
{
	qer_editorimage textures/bb3/ecel/ecel_bolttrimmtl.tga

if ! deluxe
	{
		map $lightmap
	}
	{
		map $dlight
		blendfunc add
	}
	{
		map textures/bb3/ecel/ecel_bolttrimmtl.tga
		blendFunc filter
	}
endif

if deluxe
	{
		material textures/bb3/ecel/ecel_bolttrimmtl.tga textures/bb3/ecel/ecel_bolttrim_norm.tga textures/bb3/ecel/ecel_bolttrim_gloss.tga
	}
endif
}
